package xyz.zhouxy.plusone.validator;

import org.springframework.web.bind.annotation.RestControllerAdvice;

import xyz.zhouxy.plusone.exception.handler.BaseExceptionHandler;

@RestControllerAdvice
public class InvalidInputExceptionHandler extends BaseExceptionHandler {

    public InvalidInputExceptionHandler(ExceptionInfoHolder exceptionInfoHolder) {
        super(exceptionInfoHolder);
        set(InvalidInputException.class, InvalidInputException.ERROR_CODE, "无效的用户输入");
    }
}
